#
# spec file for package rinutils
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           rinutils
Version:        0.8.0
Release:        bp153.1.15
Summary:        Shlomi Fish's gnu11 C Library of Random headers
License:        MIT
Group:          Development/Libraries/C and C++
URL:            https://github.com/shlomif/rinutils/
Source:         https://github.com/shlomif/rinutils/releases/download/%{version}/rinutils-%{version}.tar.xz
BuildRequires:  cmake
# Only due to the PROJECT declaration in CMakeLists
BuildRequires:  gcc-c++
BuildRequires:  xz

%description
Shlomi Fish's gnu11 C Library of Random headers.

%package devel
Summary:        Shlomi Fish's gnu11 C Library of Random headers
Group:          Development/Libraries/C and C++

%description devel
Shlomi Fish's gnu11 C Library of Random headers.

%prep
%autosetup -p1

%build
%cmake -DWITH_TEST_SUITE=OFF
%cmake_build

%install
%cmake_install

%files devel
%license LICENSE
%doc README.asciidoc NEWS.asciidoc
%{_includedir}/rinutils/
%{_libdir}/pkgconfig/*.pc
%dir %{_libdir}/cmake/
%{_libdir}/cmake/Rinutils/

%changelog
* Mon Nov 30 2020 Fabian Vogt <fabian@ritter-vogt.de>
- Update to 0.8.0:
  * Enhance and expand the README.
    https://lists.debian.org/debian-devel-games/2020/03/msg00008.html
- Update to 0.6.0:
  * Made the WITH_TEST_SUITE option off by default to avoid depending on cmocka
    ( https://github.com/shlomif/fortune-mod/issues/44 )
  * Remove unused code and other cleanups.
* Mon Jul 27 2020 Fabian Vogt <fabian@ritter-vogt.de>
- Initial commit
